Name:          multipath-tools
Version:       0.9.6
Release:       1mamba
Summary:       Tools for multipath connectivity
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/opensvc/multipath-tools
Source:        https://github.com/opensvc/multipath-tools.git/%{version}/multipath-tools-%{version}.tar.bz2
Patch0:        multipath-tools-0.5.0-readline-link-with-termcap.patch
Patch1:        multipath-tools-0.5.0-systemd-230.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libaio-devel
BuildRequires: libdevmapper-devel
BuildRequires: libjson-c-devel
BuildRequires: libmount-devel
BuildRequires: libsystemd-devel
BuildRequires: libudev-devel
BuildRequires: liburcu-devel
## AUTOBUILDREQ-END
BuildRequires: liburcu-devel >= 0.13.0-2mamba
BuildRequires: libsystemd-devel >= 2:248
Requires(post): systemd-core
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Tools for multipath connectivity.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1

%build
%make \
   LIB=%{_libdir} \
   exec_prefix="%{_prefix}" \
   includedir=%{_includedir} \
   mandir=%{_mandir} \
   libudevdir=%{_prefix}/lib/udev/ \
   unitdir=%{_unitdir}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%makeinstall \
   LIB=%{_libdir} \
   exec_prefix="%{_prefix}" \
   includedir=%{_includedir} \
   mandir=%{_mandir} \
   libudevdir=%{_prefix}/lib/udev/ \
   unitdir=%{_unitdir}

## broken symlink
#rm -f %{buildroot}/%{_lib}/libmpathpersist.so
#ln -s libmpathpersist.so.0 %{buildroot}/%{_lib}/libmpathpersist.so

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%systemd_post multipathd.socket
:

%preun
%systemd_preun multipathd.socket
:

%postun
%systemd_postun multipathd.socket
:

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_sbindir}/kpartx
%{_sbindir}/mpathpersist
%{_sbindir}/multipath
%{_sbindir}/multipathc
%{_sbindir}/multipathd
%{_prefix}/lib/udev/kpartx_id
%{_udevrulesdir}/*.rules
%{_unitdir}/multipathd.service
%{_unitdir}/multipathd.socket
%{_tmpfilesdir}/multipath.conf
%{_modulesloaddir}/multipath.conf
%{_mandir}/man3/mpath_persistent_reserve_in.3*
%{_mandir}/man3/mpath_persistent_reserve_out.3*
%{_mandir}/man5/multipath.conf.5*
%{_mandir}/man8/kpartx.8*
%{_mandir}/man8/mpathpersist.8*
%{_mandir}/man8/multipath.8*
%{_mandir}/man8/multipathc.8*
%{_mandir}/man8/multipathd.8*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libmpathpersist.so.*
%{_libdir}/libmultipath.so.*
%{_libdir}/libdmmp.so.*
%{_libdir}/libmpathcmd.so.*
%{_libdir}/libmpathvalid.so.*
%{_libdir}/libmpathutil.so.*
%dir %{_libdir}/multipath
%{_libdir}/multipath/*.so
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/mpath_*.h
%dir %{_includedir}/libdmmp
%{_includedir}/libdmmp/libdmmp.h
%{_libdir}/libdmmp.so
%{_libdir}/libmpathcmd.so
%{_libdir}/libmultipath.so
%{_libdir}/libmpathpersist.so
%{_libdir}/libmpathvalid.so
%{_libdir}/libmpathutil.so
%{_libdir}/pkgconfig/libdmmp.pc
%{_mandir}/man3/dmmp_*.3*
%{_mandir}/man3/libdmmp.h.3*

%changelog
* Thu Sep 07 2023 Automatic Build System <autodist@mambasoft.it> 0.9.6-1mamba
- automatic version update by autodist

* Fri Apr 07 2023 Automatic Build System <autodist@mambasoft.it> 0.9.5-1mamba
- automatic version update by autodist

* Sat Dec 24 2022 Automatic Build System <autodist@mambasoft.it> 0.9.4-1mamba
- automatic version update by autodist

* Fri Oct 28 2022 Automatic Build System <autodist@mambasoft.it> 0.9.3-1mamba
- automatic version update by autodist

* Sat Sep 10 2022 Automatic Build System <autodist@mambasoft.it> 0.9.1-1mamba
- automatic version update by autodist

* Sun Jun 12 2022 Automatic Build System <autodist@mambasoft.it> 0.9.0-1mamba
- automatic version update by autodist

* Sat Feb 26 2022 Automatic Build System <autodist@mambasoft.it> 0.8.9-1mamba
- automatic version update by autodist

* Tue Dec 07 2021 Automatic Build System <autodist@mambasoft.it> 0.8.8-1mamba
- automatic version update by autodist

* Wed Oct 13 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.7-2mamba
- rebuit with liburcu-devel 0.13.0-2mamba

* Mon Oct 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.7-1mamba
- update to 0.8.7

* Sat May 01 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.6-3mamba
- fix multipath dir by passing LIB variable

* Wed Apr 21 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.6-2mamba
- rebuilt with systemd 2:248 (flat libdir)

* Thu Apr 15 2021 Automatic Build System <autodist@mambasoft.it> 0.8.6-1mamba
- automatic version update by autodist

* Mon Mar 08 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.5-2mamba
- rebuilt under %_prefix

* Thu Dec 10 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.5-1mamba
- update to 0.8.5

* Sun Jul 03 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.0-2mamba
- rebuilt by autoport with build requirements: libsystemd-devel>=230-1mamba

* Mon Jun 23 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.0-1mamba
- package created using the webbuild interface
